views.style.views_accordion_foundation:
  type: views_style
  label: 'Views Accordion Foundation'
  mapping:
    disableifone:
      type: integer
      label: 'Disable if only one result.'
    row-start-open:
      type: string
      label: 'Row number to display opened on start.'
    multi-expand:
      type: integer
      label: 'By default, only one pane of an accordion can be open at a time. This can be changed by setting this (multiExpand) option to true.'    
    allow-all-closed:
      type: integer
      label: 'By default, at least one pane in an accordion must be open. This can be changed by setting this (allowAllClosed) option to true.'
    tabs-small:
      type: integer
      label: 'Display as tabs on small devices (Responsive Accordion Tabs).'
    tabs-medium:
      type: integer
      label: 'Display as tabs on medium devices (Responsive Accordion Tabs).'
    tabs-large:
      type: integer
      label: 'Display as tabs on large devices (Responsive Accordion Tabs).'
    disabled:
      type: integer
      label: 'There may be times where you want to disable pane switching on an accordion. This can be accomplished by setting this (disabled) option to true.'
    deep-link:
      type: integer
      label: 'When the data-deep-link option is set to true, the current state of the accordion is recorded by adding a hash with the accordion panel ID to the browser URL when a accordion opens.'
    deep-link-smudge:
      type: integer
      label: 'If deep-link is enabled, adjust the deep link scroll to make sure the top of the accordion panel is visible.'
    deep-link-smudge-delay:
      type: integer
      label: 'If deep-link-smudge is enabled, animation time (ms) for the deep link adjustment.'
    deep-link-update-history:
      type: integer
      label: 'By default, accordion replace the browser history (using history.replaceState()). Modify this behavior by using settings this option to true to append to the browser history.'
    slide-speed:
      type: integer
      label: 'Amount of time to animate the opening of an accordion pane.'    
